[Solved] ArchLabs keyring seems to be broken

I rebooted the system after an update seemingly hung and now no packages can be upgraded… The update process fails… How can I fix this, here is the printout from a terminal:

sudo pacman -Syu 15:50:03
[sudo] password for clayton:
:: Synchronizing package databases…
core is up to date
extra is up to date
community 4.9 MiB 753 KiB/s 00:07 [----------------------------------] 100%
multilib is up to date
archlabs_repo is up to date
:: Starting full system upgrade…
resolving dependencies…
looking for conflicting packages…

Packages (293) apr-1.7.0-3 apr-util-1.6.1-7 arch-install-scripts-23-2 aspell-0.60.8-2 atkmm-2.28.0-2
bash-completion-2.10-2 bison-3.6.2-1 blas-3.9.0-3 brltty-6.0-10 cairomm-1.12.2-4
cblas-3.9.0-3 cdparanoia-10.2-8 celt0.5.1-0.5.1.3-5 convertlit-1.8-9 cppunit-1.15.1-2
cython-0.29.18-1 cython2-0.29.18-1 docbook-xml-4.5-9 ebtables-2.0.10_4-8
editorconfig-core-c-0.12.3-2 efitools-1.9.2-2 enca-1.19-4 ethtool-1:5.6-1
exo-0.12.11-2 expac-10-2 f2fs-tools-1.13.0-2 figlet-2.2.5-4 fuse2-2.9.9-4 gc-8.0.4-4
geoip-1.6.12-2 giblib-1.2.4-8 glu-9.0.1-2 go-2:1.14.3-1 gperf-3.1-3 grantlee-5.2.0-3
graphviz-2.44.0-2 gsfonts-20180524-3 gst-libav-1.16.2-2 gtk-engines-2.21.0-5
gtkmm-1:2.24.5-4 gtkmm3-3.24.2-2 gts-0.7.6.121130-2 haskell-haddock-library-1.8.0-55
haskell-ipynb-0.1.0.1-6 hyphen-2.8.8-3 iana-etc-20200511-1 ijs-0.35-3 imake-1.0.8-2
imlib2-1.6.1-2 intltool-0.51.0-5 iso-codes-4.4-2 java-activation-gnu-1.1.2-2
java-environment-common-3-3 java-runtime-common-3-3 jemalloc-1:5.2.1-2
json-glib-1.4.4-2 languagetool-4.9.1-1 lapack-3.9.0-3 lcms2-2.9-3 leveldb-1.22-2
lib32-nss-3.52-1 libatasmart-0.19-5 libblockdev-2.23-4 libbsd-0.10.0-2
libburn-1.5.2-2 libcaca-0.99.beta19-3 libcdio-paranoia-10.2+2.0.1-2 libdaemon-0.14-5
libdatrie-0.2.12-2 libdmtx-0.7.5-2 libebml-1.3.10-2 libepoxy-1.5.4-2
libfbclient-3.0.4.33054-2 libfontenc-1.1.4-2 libgadu-1.12.2-11 libglade-2.6.4-7
libgnome-keyring-3.12.0+13+g4f8ab73-2 libguess-1.2-3 libgxps-0.3.1-2 libice-1.0.10-3
libidn-1.35-3 libiec61883-1.2.0-6 libieee1284-0.2.11-9 libiscsi-1.19.0-2
libisoburn-1.5.2-2 libisofs-1.5.2-2 liblqr-0.4.2-3 libmad-0.15.1b-9 libmng-2.0.3-3
libmodplug-0.8.9.0-3 libmpcdec-1:0.1+r475-3 libmpd-11.8.17-5 libmpeg2-0.5.1-7
libmspack-1:0.10.1alpha-3 libndp-1.7-2 libnet-1:1.1.6-1 libnfnetlink-1.0.1-4
libofa-0.9.3-9 libomxil-bellagio-0.9.3-3 libotr-4.1.1-3 libpciaccess-0.16-2
libplist-2.1.0-3 libpng-1.6.37-2 libpurple-2.13.0-10 libpwquality-1.4.2-3
libquvi-0.9.4-6 libquvi-scripts-0.9.20131130-5 libraw1394-2.1.2-3 librevenge-0.0.4-3
libshout-1:2.4.3-3 libsignon-glib-2.1-3 libstdc++5-3.3.6-7 libthai-0.1.28-2
libtiff-4.1.0-2 libtiger-0.3.4-6 libunique-1.1.6-8 libunwind-1.3.1-2 libvoikko-4.3-2
libvpx-1.8.2-2 libwmf-0.2.12-2 libwpd-0.10.3-2 libwpg-0.3.3-2 libx11-1.6.9-7
libxau-1.0.9-3 libxaw-1.0.13-3 libxcomposite-0.4.5-3 libxcursor-1.2.0-2
libxdamage-1.1.5-3 libxdmcp-1.1.3-3 libxext-1.3.4-3 libxfixes-5.0.3-4
libxfont2-2.0.4-3 libxft-2.3.3-2 libxi-1.7.10-3 libxinerama-1.1.4-3
libxkbfile-1.1.0-2 libxmu-1.1.3-2 libxp-1.0.3-4 libxpm-3.5.13-2 libxrandr-1.5.2-3
libxrender-0.9.10-4 libxslt-1.1.34-3 libxss-1.2.3-3 libxt-1.2.0-2 libxtst-1.2.3-4
libxv-1.0.11-4 libxxf86vm-1.1.4-4 libytnef-1.9.3+7+g24fe30e-2
lightdm-gtk-greeter-1:2.0.7-2 lirc-1:0.10.1-6 live-media-2019.11.06-2 llvm-10.0.0-2
llvm-libs-10.0.0-2 lm_sensors-3.6.0-2 lua52-lpeg-1.0.2-2 mallard-ducktype-1.0.2-4
media-player-info-24-2 memtest86±5.01-4 mjpegtools-2.1.0-5 mono-6.4.0.198-2
mpg123-1.25.13-2 muparser-2.2.6-2 nautilus-sendto-3.8.6+14+ge8a3604-2 net-snmp-5.8-5
nss-3.52-1 ocaml-4.10.0-1 ocaml-compiler-libs-4.10.0-1 ocaml-findlib-1.8.1-6
ocl-icd-2.2.12-4 opencl-headers-2:2.2.20170516-3 opencore-amr-0.1.5-4
openjpeg2-2.3.1-2 orc-0.4.31-2 p7zip-16.02-6 pandoc-2.9.2.1-36
perl-extutils-depends-0.8000-3 perl-extutils-pkgconfig-1.16-6 perl-http-cookies-6.08-2
perl-http-date-6.05-2 perl-io-socket-ssl-2.066-2 perl-lwp-mediatypes-6.02-7
perl-mail-authenticationresults-1.20200108-2 perl-mail-dkim-0.58-2
perl-net-dns-resolver-mock-1.20200215-2 perl-timedate-2.33-1 perl-try-tiny-0.30-4
perl-www-robotrules-6.02-7 perl-xml-namespacesupport-1.12-4 perl-xml-sax-base-1.09-4
plotutils-2.6-10 potrace-1.16-2 progsreiserfs-0.3.0.5-10 pulseaudio-qt-1.2-2
python-beautifulsoup4-4.9.1-1 python-chardet-3.0.4-5 python-defusedxml-0.6.0-4
python-isort-4.3.21.2-4 python-lxml-4.5.1-1 python-markupsafe-1.1.1-4
python-mccabe-0.6.1-5 python-nose-1.3.7-7 python-ordered-set-3.1.1-2
python-packaging-20.4-1 python-ply-3.11-5 python-retrying-1.3.3-7
python2-backports-1.0-3 python2-beautifulsoup4-4.9.1-1 python2-chardet-3.0.4-5
python2-configparser-4.0.2-2 python2-lxml-4.5.1-1 python2-ordered-set-3.1.1-2
python2-packaging-20.4-1 re2c-1.3-2 rhash-1.3.9-2 rp-pppoe-3.13-2 rubygems-3.1.2-5
sane-1.0.30-1 sbc-1.4-2 sdl_ttf-2.0.11-6 seabios-1.13.0-2 serf-1.3.9-5
signon-plugin-oauth2-0.24-3 signond-8.60-2 simplescreenrecorder-0.4.2-1 smpeg-0.4.5-5
sound-theme-freedesktop-0.8-4 spamassassin-3.4.4-2 speex-1.2.0-3 srt-1.4.1-2
startup-notification-0.12-7 subversion-1.13.0-3 t1lib-5.1.2-8 talloc-2.3.1-2
tcl-8.6.10-2 tcpdump-4.9.3-2 telepathy-farstream-0.6.2-6 telepathy-glib-0.24.1-3
telepathy-qt-0.9.8-2 testdisk-7.1-2 thunar-media-tags-plugin-0.3.0-2 tumbler-0.2.8-2
unixodbc-2.3.7-3 vamp-plugin-sdk-2.10.0-1 vde2-2.3.2-14 vid.stab-1.1-3
volume_key-0.3.12-3 wavpack-5.2.0-2 webrtc-audio-processing-0.3.1-2 wildmidi-0.4.3-2
xclip-0.13-3 xf86-input-evdev-2.10.6-2 xf86-input-libinput-0.30.0-1
xf86-input-synaptics-1.9.1-2 xf86-input-vmmouse-13.1.0-5 xf86-video-ati-1:19.1.0-2
xf86-video-fbdev-0.5.0-2 xf86-video-nouveau-1.0.16-2 xfce4-artwork-0.1.1a_git20110420-6
xfce4-cpufreq-plugin-1.2.1-2 xfce4-mailwatch-plugin-1.2.0-9 xfce4-mount-plugin-1.1.3-2
xfce4-screenshooter-1.9.7-2 xfce4-time-out-plugin-1.1.0-2 xfwm4-themes-4.10.0-4
xmlto-0.0.28-4 xorg-docs-1.7.1-3 xorg-font-util-1.3.2-2 xorg-font-utils-7.6-6
xorg-fonts-75dpi-1.0.3-5 xorg-fonts-alias-1.0.3-3 xorg-fonts-encodings-1.0.5-2
xorg-luit-1.1.1-4 xorg-sessreg-1.1.2-2 xorg-setxkbmap-1.3.2-2 xorg-smproxy-1.0.6-3
xorg-x11perf-1.6.1-2 xorg-xauth-1.1-2 xorg-xcmsdb-1.0.5-3 xorg-xcursorgen-1.0.7-2
xorg-xdpyinfo-1.3.2-4 xorg-xev-1.2.3-2 xorg-xgamma-1.0.6-3 xorg-xhost-1.0.8-2
xorg-xinit-1.4.1-2 xorg-xinput-1.6.3-2 xorg-xkbevd-1.1.4-3 xorg-xkbutils-1.0.4-4
xorg-xmodmap-1.0.10-2 xorg-xprop-1.2.4-2 xorg-xrandr-1.5.1-2 xorg-xrdb-1.2.0-2
xvidcore-1.3.7-2 yajl-2.1.0-3

Total Installed Size: 2287.01 MiB
Net Upgrade Size: 10.44 MiB

:: Proceed with installation? [Y/n] y
(293/293) checking keys in keyring [----------------------------------] 100%
(293/293) checking package integrity [----------------------------------] 100%
error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.
[15:50:29] clayton@archlabs /home/clayton [1]

Glad that it worked for you & found the solution yourself @nerd7473 .

Please mark it as solved.

I was wrong… It only appeared to work… Back to the same issue again, but now I am missing the Bunsen-He Dark themes

Thaty sux, is that after another reboot !

Yes, it is after a reboot I had also installed the Arch-Linux keyring

That sux, please have a look at that thread, hope that it can help you out;

1 Like

Still same results of your 1st post right !

1 Like

It looks good now, syncing packages again… But let’s let that finish before I mark this 100% solved. Just in case

1 Like

Yep, better be save right !

1 Like

Definitely better safe than sorry.

1 Like

Make shure to clean the cache before getting the newer gpg, might help in there.

1 Like

I followed all steps on the previous post.

1 Like

Ok cool, might work in there, unless shit s happening .

Never got that issue…

1 Like

Nope, looks like it worked. Thanks for the help! :smiley:

1 Like

Looks like linux s weird ways.

1 Like

Going to do a reboot just in case

1 Like

No problem @nerd7473 .

Glad of being of some help.

1 Like

Yep, we ll see if it worked or not that way.

1 Like